## cascading.tap
Enum SinkMode

    java.lang.Object
      java.lang.Enum<SinkMode>
          cascading.tap.SinkMode

All Implemented Interfaces:
  Serializable, Comparable<SinkMode>

    public enum SinkMode

extends Enum<SinkMode>

Enum SinkMode identifies supported modes a Tap may utilize when used as a sink.

Mode KEEP is the default. Typically a failure will result if the resource exists and there is an attempt to write to it.

Mode REPLACE will delete/remove the resource before any attempts to write.

Mode UPDATE will attempt to re-use to the resource, if supported, and update data in place.

Enum Constant Summary
`KEEP`
`REPLACE`
`UPDATE`

Method Summary
`static SinkMode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SinkMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### KEEP

    public static final SinkMode KEEP

### REPLACE

    public static final SinkMode REPLACE

### UPDATE

    public static final SinkMode UPDATE

Method Detail

### values

    public static SinkMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SinkMode c : SinkMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SinkMode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.